/*
Copyright (c) 1993, Clemens Wagner
 
Permission to use, copy, modify, and distribute this software and 
its documentation for any purpose is hereby granted without fee, provided
that
(i) you have alays to distribute the whole archive
(ii) the above copyright notices and this permission notice appear in
all copies of the software and related documentation, changed or new
code has to be marked
(iii) else, there are the same conditions as for InterViews

THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
 */

#ifndef GRAPHIC_CLASSES_H
#define GRAPHIC_CLASSES_H

//
// identifiers for graphic classes
//

#define GRAPHIC           1000

#define CBSPLINE_GRAPHIC  1001
#define CIRCLE_GRAPHIC    1002
#define CONNECTOR_GRAPHIC 1003
#define ELLIPSE_GRAPHIC   1004
#define FIXEDCONN_GRAPHIC 1005
#define FLEXCONN_GRAPHIC  1006
#define GRAPHIC_MASTER    1007
#define LINE_GRAPHIC      1008
#define LINK_GRAPHIC      1009
#define OBSPLINE_GRAPHIC  1010
#define POLY_GRAPHIC      1011
#define POLYGON_GRAPHIC   1012
#define POLYLINE_GRAPHIC  1013
#define RECTANGLE_GRAPHIC 1014
#define TEXT_GRAPHIC      1015

//
// identifiers for tool classes
//

#define TOOL              2000

#define CONNECT_TOOL      2001
#define GRAPHIC_TOOL      2002
#define MENU_TOOL         2003
#define MOVE_TOOL         2004
#define NOP_TOOL          2005
#define SELECT_TOOL       2006

//
// identifiers for command classes --- future release
//

#define COMMAND           3000

#define CUT_CMD           3001
#define MOVE_CMD          3002
#define PASTE_CMD         3003

typedef unsigned long ClassId;

#endif
